<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:miu="org.enhydra.dods.xslt.XSLTUtil"
                xmlns:common="org.enhydra.dods.Common"
                version="1.0">
    <xsl:output method="text" encoding="iso-8859-1"/>
<xsl:template name="resultSetExstractionForLONGDO">
<xsl:if test="not(IS_CONSTANT='true')"> <xsl:if test="DB_TYPE='LONGVARCHAR'"> {
        java.io.Reader ir = rs.getCharacterStream( &quot;<xsl:value-of select="@name"/>&quot; );
        if (ir != null)  {
            int bufSize = 2000;
            char[] buf = new char[bufSize];
            StringBuffer sb = new StringBuffer();
            int n = 0;
            try {
                while ( -1 != ( n = ir.read( buf ) ) ) {
                    sb.append( buf, 0, n );
                }
            } catch ( Exception e ) {
                throw new DataObjectException("IO error processing input stream for column <xsl:value-of select="@name"/>: ", e );
            }
    <xsl:if test="/TABLE/TEMPLATE_SET='multidb' or /TABLE/TEMPLATE_SET='multidb_webdocwf'">
            if (originDatabase != null)
                set<xsl:value-of select="common:capitalizeName(@name)"/>(<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'"><xsl:value-of select="miu:adjustJavaType(JAVA_TYPE)"/>.createExisting( originDatabase,</xsl:if></xsl:if>sb.toString()<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'">)</xsl:if></xsl:if> );
            else </xsl:if>
                set<xsl:value-of select="common:capitalizeName(@name)"/>(<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'"><xsl:value-of select="miu:adjustJavaType(JAVA_TYPE)"/>.createExisting(</xsl:if></xsl:if>sb.toString()<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'">)</xsl:if></xsl:if> );
        } else {
            if (originDatabase != null)
                set<xsl:value-of select="common:capitalizeName(@name)"/>(<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'"><xsl:value-of select="miu:adjustJavaType(JAVA_TYPE)"/>.createExisting(originDatabase,</xsl:if></xsl:if> null<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'"> )</xsl:if></xsl:if> );
            else 
                set<xsl:value-of select="common:capitalizeName(@name)"/>(<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'"><xsl:value-of select="miu:adjustJavaType(JAVA_TYPE)"/>.createExisting(</xsl:if></xsl:if> null<xsl:if test="REFERENCE_OBJECT"><xsl:if test="REFERENCE_OBJECT/IS_FOREIGN_KEY='false'">)</xsl:if></xsl:if> );
        }
    }</xsl:if>  </xsl:if>
</xsl:template>
</xsl:stylesheet>
