package discRack.actions;

import discRack.*;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.Icon;

/**
* The base class for discRack actions.
 *
 * @author Sasa Bojanic
 * @version 1.0
*/
public abstract class ActionBase
   extends AbstractAction {

   /**
    * A reference to the editor class.
    */
   protected DiscRack discRack;

   /**
    * The Abstract action uses unqualified class name as action name.
    *
    * @param editor The reference to the editor for this action
    */
   public ActionBase(DiscRack discRack) {
      this.discRack = discRack;
      putValue(Action.NAME,Utils.getUnqualifiedClassName(getClass()));
   }

}
